pcl::io::CompressionPointTraits< PointXYZRGB > Struct Reference

`#include <pcl/compression/organized_pointcloud_conversion.h>`

## Static Public Attributes

static const bool | hasColor = true
static const unsigned int | channels = 4
static const std::size_t | bytesPerPoint = 3 * sizeof(float) + 3 * sizeof(std::uint8_t)

## Detailed Description

Definition at line 63 of file organized_pointcloud_conversion.h.

## Member Data Documentation

## bytesPerPoint

const std::size_t pcl::io::CompressionPointTraits< PointXYZRGB >::bytesPerPoint = 3 * sizeof(float) + 3 * sizeof(std::uint8_t)

static

Definition at line 67 of file organized_pointcloud_conversion.h.

## channels

const unsigned int pcl::io::CompressionPointTraits< PointXYZRGB >::channels = 4

static

Definition at line 66 of file organized_pointcloud_conversion.h.

## hasColor

const bool pcl::io::CompressionPointTraits< PointXYZRGB >::hasColor = true

static

Definition at line 65 of file organized_pointcloud_conversion.h.

The documentation for this struct was generated from the following file:

- pcl/compression/organized_pointcloud_conversion.h